// Include the Required NetService class files
#include "NetDebug.as"
#include "NetServices.as"
#include "DataGlue.as"

// connect to the Flash Remoting service provider
if (isGatewayOpen == null) {
  // do this code only once
  isGatewayOpen = true;
  // Make the Gateway connection
  NetServices.setDefaultGatewayUrl("http://pnmdell/flashservices/gateway");
  gatewayConnnection = NetServices.createGatewayConnection();
  parkService= gatewayConnnection.getService("devCenter.ParkService", this);
  trace("Connected");
  // CALL Web service: Do initial Data load for DropDown List
  parkService.getParkTypes();
  trace("sent request");
}

// :::: Remote Calls

function getParksList() {
	// Invoked when a user selects a park Type from the ComboBox
	trace("sent request. ParkType: " + cb_parkType.getSelectedItem());
	// invoke the "getParksList" method in the parkService service, send current selection
	parkService.getParksList(cb_parkType.getSelectedItem());
	
  }

function getParkDetails() {
	// Invoked when a user selects a park Type from the ComboBox
	trace("sent request. ParkNAME: " + lb_ParkList.getValue());
	// invoke the "getParksList" method in the parkService service, send current selection
	parkService.getParkDetails(lb_ParkList.getValue());
}


// :::: DEFAULT RESPONDERS ::::	
	
function getParkTypes_Result(result) {
	trace("server responded: Records: " + result.getLength());
	trace("setting the Drop Down");	
	// This function will be invoked by the server when it has finished processing
	cb_parkType.setDataProvider(result);
	cb_parkType.addItemAt(0, "Select a Park Type", "NONE");
	
    }

function getParksList_Result(result){
	trace("server responded: Records: " + result.getLength());
	trace("setting the ListBox");
	// Use DataGlue Binding to create a differnent label and Value pair
	// The Value is what will be sent to the function, and is what the DB will match
	DataGlue.BindFormatStrings(lb_ParkList, result, "#parkName# (location: #city#, #state#)", "#parkName#");
	}

function getParkDetails_Result(result){
	trace("server responded: Records: " + result.getLength());
	// This function will be invoked by the server when it has finished processing
	_root.dsp_ParkName=result.items[0].ParkName;
	_root.dsp_ComPhone=result.items[0].ComPhone;
	_root.dsp_Address1=result.items[0].Address1;
	_root.dsp_Address2=result.items[0].Address2;
	_root.dsp_Address3=result.items[0].Address3;
	_root.dsp_CityState=result.items[0].city + ", " +result.items[0].state;
	_root.dsp_zipCode=result.items[0].dsp_zipCode;
	_root.dsp_region="REGION: "+ result.items[0].region;
	_root.dsp_ManagerHours="MANAGER: "+ result.items[0].suptMgr + " OFFICE HOURS: "+ result.items[0].offHrs;
}




	
	
stop();